#include <iostream>

using namespace std;

int main()
{
    string text; cin >> text;
    string zabranjeno; cin >> zabranjeno;
    int n = text.size();
    int brojalo = 0;

    if(zabranjeno == "a")
    {
        for(int i = 0; i < n; i++)
        {
            if(text[i] == 'a')
            {
                text[i] = '*';
                brojalo++;
            }
        }
    }
    else if(zabranjeno == "ab")
    {
        int l = n, r = 0;
        int na = 0, nb = 0;

        for(int i = 0; i < n; i++)
        {
            if(text[i] == 'a')
            {
                l = i;
                break;
            }
        }
        for(int i = 0; i < n; i++)
        {
            if(text[i] == 'b')
                r = i;
        }
        for(int i = l; i <= r; i++)
        {
            if(text[i] == 'a')
                na++;
            if(text[i] == 'b')
                nb++;
        }
        brojalo = min(na, nb);
        for(int i = l; i <= r; i++)
        {
            if(na >= nb && text[i] == 'b')
                text[i] = '*';
            else if(na < nb && text[i] == 'a')
                text[i] = '*';
        }
    }
    else if(zabranjeno == "abc")
    {
        int l = n, r = 0;
        int na = 0, nb = 0, nc = 0;

        for(int i = 0; i < n; i++)
        {
            if(text[i] == 'a')
            {
                l = i;
                break;
            }
        }
        for(int i = 0; i < n; i++)
        {
            if(text[i] == 'c')
                r = i;
        }
        for(int i = l; i <= r; i++)
        {
            if(text[i] == 'b')
                nb++;
        }

        int lb = r, rb = l;

        for(int i = l; i <= r; i++)
        {
            if(text[i] == 'b')
            {
                lb = i;
                break;
            }
        }
        for(int i = l; i <= r; i++)
        {
            if(text[i] == 'b')
            {
                rb = i;
            }
        }
        for(int i = lb; i <= r; i++)
        {
            if(text[i] == 'c')
                nc++;
        }
        for(int i = l; i <= rb; i++)
        {
            if(text[i] == 'a')
                na++;
        }

        brojalo = min(na, min(nb, nc));

        if(na == brojalo)
        {
            for(int i = l; i <= rb; i++)
            {
                if(text[i] == 'a')
                    text[i] = '*';
            }
        }
        else if(nb == brojalo)
        {
            for(int i = l; i <= r; i++)
            {
                if(text[i] == 'b')
                    text[i] = '*';
            }
        }
        else
        {
            for(int i = lb; i <= r; i++)
            {
                if(text[i] == 'c')
                    text[i] = '*';
            }
        }
    }
    else
    {
        int na = 0;

        for(int i = 0; i < n; i++)
        {
            if(text[i] == 'a')
                na++;
        }

        int sklonia = na - (na % zabranjeno.size());
        brojalo = sklonia;

        for(int i = 0; i < n; i++)
        {
            if(text[i] == 'a' && sklonia > 0)
            {
                text[i] = '*';
                sklonia--;
            }
        }
    }

    cout << brojalo << endl;
    cout << text << endl;

    return 0;
}